# DEEPSEEK LICENSE AGREEMENT

**Version 1.0, 23 October 2023**

Copyright (c) 2023 DeepSeek

---

## Section I: PREAMBLE

Large generative models are being widely adopted and used, with the potential to transform how individuals benefit from AI/ML technologies.

While these models offer benefits, concerns about their misuse due to technical limitations or ethical considerations persist. This license strives for both open and responsible downstream use of the accompanying model.

We drew inspiration from permissive open-source licenses for granting IP rights and added use-based restrictions to address potential misuses. These restrictions allow enforcement in specific cases while encouraging open and responsible research on generative models for content generation.

Downstream derivatives of the model may be released under different terms but must retain these use-based restrictions. This agreement aims to balance open and responsible AI development.

This License governs the use of the model (and its derivatives) and is informed by the model card associated with the model.

**NOW THEREFORE, You and DeepSeek agree as follows:**

---

## 1. Definitions

### Key Terms

- **"License"**: Terms and conditions for use, reproduction, and distribution as defined in this document.
- **"Data"**: A collection of information extracted from the dataset used with the Model (not licensed under this License).
- **"Output"**: Results from operating the Model.
- **"Model"**: Machine-learning assemblies (including checkpoints) trained using the Data and Complementary Material.
- **"Derivatives of the Model"**: Modifications to the Model or models initialized by transfer of the Model's weights, parameters, activations, or outputs.
- **"Complementary Material"**: Source code, scripts, documentation, and examples associated with the Model.
- **"Distribution"**: Sharing of the Model or its derivatives with third parties, including hosting as a service.
- **"DeepSeek"**: Refers to Beijing and Hangzhou DeepSeek Artificial Intelligence Fundamental Technology Research Co., Ltd. and their affiliates.
- **"You"**: Any individual or entity exercising permissions under this License.
- **"Third Parties"**: Individuals or entities not under control of DeepSeek or You.

---

## Section II: INTELLECTUAL PROPERTY RIGHTS

### 2. Grant of Copyright License

DeepSeek grants You a perpetual, worldwide, non-exclusive, royalty-free, irrevocable copyright license to reproduce, prepare, display, sublicense, and distribute the Model, its Derivatives, and Complementary Material.

### 3. Grant of Patent License

DeepSeek grants You a perpetual, worldwide, non-exclusive, royalty-free, irrevocable patent license to make, use, sell, import, and distribute the Model and Complementary Material. This license terminates if You initiate patent litigation related to the Model.

---

## Section III: CONDITIONS OF USAGE, DISTRIBUTION, AND REDISTRIBUTION

### 4. Distribution and Redistribution

You may host, reproduce, and distribute the Model or its Derivatives under the following conditions:

1. **Include Use-Based Restrictions**: Any license governing the Model or Derivatives must include the use-based restrictions outlined in Section 5.
2. **Provide This License**: Ensure recipients receive a copy of this License.
3. **Highlight Modifications**: Clearly state any modifications made to the Model.
4. **Retain Notices**: Retain all copyright, patent, trademark, and attribution notices.
5. **Add Additional Terms**: You may add your own copyright terms for your modifications, as long as the conditions in Section 4.1 are respected.

### 5. Use-Based Restrictions

You may not use the Model or its Derivatives for:

- Violating laws or infringing third-party rights.
- Military purposes.
- Exploiting, harming, or attempting to harm minors.
- Generating or disseminating false, harmful, or inappropriate content.
- Unauthorized use of personally identifiable information.
- Harassment or defamation.
- Fully automated decision-making that adversely affects individuals' rights.
- Discrimination or harm based on protected characteristics.
- Exploiting vulnerabilities of specific groups (e.g., age, mental state).

### 6. The Output You Generate

DeepSeek claims no rights to the Output generated by You. However, You are accountable for its use and must comply with the License's provisions.

---

## Section IV: OTHER PROVISIONS

### 7. Updates and Runtime Restrictions

DeepSeek reserves the right to restrict usage of the Model in violation of this License.

### 8. Trademarks and Related

This License does not grant permission to use DeepSeek’s trademarks, logos, or trade names.

### 9. Personal Information, IP Rights, and Related

You must comply with applicable laws when handling personal information or IP-related works in the Model. DeepSeek’s license does not imply a legitimate basis for processing such information.

### 10. Disclaimer of Warranty

The Model and Complementary Material are provided "AS IS" without warranties, including fitness for a particular purpose.

### 11. Limitation of Liability

DeepSeek is not liable for damages arising from the use or inability to use the Model, except as required by law.

### 12. Accepting Warranty or Additional Liability

If You offer warranties or additional liabilities for redistribution, You do so solely at your own risk and responsibility.

### 13. Severability

If any provision is deemed invalid, the rest of the License remains effective.

### 14. Governing Law and Jurisdiction

This License is governed by PRC laws. Disputes are subject to the exclusive jurisdiction of courts in Hangzhou, China.

---

## Attachment A: Use Restrictions

Restricted uses include, but are not limited to:

1. Violating laws or infringing lawful rights.
2. Military applications.
3. Exploiting or harming minors.
4. Disseminating false or harmful content.
5. Generating unauthorized personal data.
6. Harassment or discrimination.
7. Exploiting group vulnerabilities.
8. Fully automated decision-making that negatively impacts legal rights.

---

**END OF TERMS AND CONDITIONS**

